Subject: bug#22300: 25.1.50; Dired -- renaming folders/files to CamelCase/UPPERCASE/lowercase.

From: John Wiegley <[email-masked]>
Date: Mon, 04 Jan 2016 11:22:57 -0800

>>>>> Eli Zaretskii <[email-masked]> writes:

> If OS X filesystems are always case-insensitive, perhaps the same code
> should also be compiled on that system. If some of OS X filesystems are
> case-sensitive, we can only do that if Emacs can know which one is it.

The boot filesystem must be case-insensitive, but HFS+ allows formatting a
drive as case-sensitive on non-boot volumes, so we can't assume OS X = case
insensitive. (I also use ZFS on the Mac, which can be case sensitive or
insensitive).

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2